Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.actions
Class CreateDesktopFromPortalFileAction

    java.lang.Object
      com.bea.portal.tools.portal.actions.PortalControlAction
          com.bea.portal.tools.portal.actions.CreateDesktopFromPortalFileAction

All Implemented Interfaces
  ControlAction

    public class CreateDesktopFromPortalFileAction

extends PortalControlAction

Objects extending this class implement actions to be taken on portal controls. These may be used to specify multiple actions which need to occur in a single transaction by calling the Portal controls' executeActions() method.

Field Summary
`DesktopDefinition` | `desktopDefinition`

Constructor Summary
`CreateDesktopFromPortalFileAction(DesktopDefinitionControl desktopDefinitionControl, String portalTemplatePath, String desktopTitle, String desktopDescription, DesktopDefinitionId desktopDefinitionId, int disassemblerAction)`

Method Summary
`void` | `doAction(ResourceContext context)` Method that actually performs the action(s).
`DesktopDefinition` | `getDesktopDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### desktopDefinition

    public DesktopDefinition desktopDefinition

Constructor Detail

### CreateDesktopFromPortalFileAction

    public CreateDesktopFromPortalFileAction(DesktopDefinitionControl desktopDefinitionControl,
                                             String portalTemplatePath,
                                             String desktopTitle,
                                             String desktopDescription,
                                             DesktopDefinitionId desktopDefinitionId,
                                             int disassemblerAction)

Method Detail

### doAction

    public void doAction(ResourceContext context)
                  throws Exception

  Description copied from class: `PortalControlAction`
  Method that actually performs the action(s).

  Specified by:
    `doAction` in interface `ControlAction`
  Specified by:
    `doAction` in class `PortalControlAction`
  Throws
    `Exception`

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved